<template>
    <b-modal
        v-model="show"
        hide-footer
        hide-header
        size="md"
        centered
        body-class="add-popup"
    >
        <div class="modal-popup-header">
            <div class="close-container float-right">
                <button
                    class="btn"
                    @click="$emit('open', !show)"
                >
                    <img
                        class="close-button"
                        src="/images/noun_Plus.svg"
                    >
                </button>
            </div>
            <div class="popup-header-text">
                Insufficient Funds
            </div>
        </div>
        <div class="modal-popup-body">
            <div class="popup-info">
                <div>Please add SMS credits to send this campaign</div>
                <div>Credit needed: <b>{{ parseFloat(priceData.approximate_sms_campaign_cost).toFixed(2) }}$</b></div>
            </div>
            <div class="popup-input-container">
                <div><strong>Credits to add:</strong></div>
                <b-select
                    v-model="filteredSmsPlans[0].value"
                    class="form-control custom-select"
                    style="background-color: white"
                >
                    <option
                        v-for="(plan, index) in filteredSmsPlans"
                        :key="index"
                        :value="plan.value"
                    >
                        {{ plan.title }}
                    </option>
                </b-select>
            </div>
            <div class="popup-buttons">
                <button
                    type="button"
                    class="btn gray-btn"
                    @click="$emit('submit', {isDraft: false, useExistingCredits: false})"
                >
                    Use the existing credits
                </button>
                <button
                    type="button"
                    class="btn blue-btn"
                    @click="buySmsCredits"
                >
                    Secure Buy With Wix
                </button>
            </div>
        </div>
    </b-modal>
</template>

<script>
import pricing from '../../../mixins/pricing/pricing.service'

export default {
    mixins: [pricing],
    props: ['show', 'priceData'],
    data() {
        return {
            selectedSmsPlan: 5,
            smsPlans: [
                {
                    title: '$5.00',
                    value: 5,
                },
                {
                    title: '$10.00',
                    value: 10,
                },
                {
                    title: '$50.00',
                    value: 50,
                },
                {
                    title: '$100.00',
                    value: 100,
                },
                {
                    title: '$500.00',
                    value: 500,
                },
            ],
        }
    },
    computed: {
         filteredSmsPlans () {
            return this.smsPlans.filter( plan => plan.value >= this.priceData.approximate_sms_campaign_cost);
        }
    },
    methods: {
        async buySmsCredits() {
            const res = await this.smsCredits(this.selectedSmsPlan)
            window.location.replace(res);
            this.close()
        },
        close() {
            this.$emit('close')
        }
    }
}
</script>


<style lang="scss" scoped>
.popup-header-text {
    font-size: 32px;
    color: #1B2437;
    font-weight: 600;
    text-align: center;
}

.modal-popup-body {
    padding: 30px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    .popup-buttons {
        .blue-btn {
            width: fit-content;
            margin-top: 30px;
        }
        .gray-btn {
            width: fit-content;
            margin-top: 30px;
            color: #4786FF;
            background-color: #DAE7FF;
            padding: 10px 20px;
            font-weight: bold;
            border-radius: 5px;
            font-size: 14px;
        }
        .gray-btn:hover {
            color: #DAE7FF !important;
            background-color: #4786FF !important;
        }
    }
}

.popup-input-container {
    font-size: 21px;
    display: flex;
    align-items: center;
    font-weight: bolder;
}
.popup-info {
    color: #98A0A6;
    display: contents;
    b {
        color: #000000;
    }
}
.modal-popup-header {
    border-bottom: 1px solid #eeeff0;
    .close-button {
        transform: rotate(45deg);
    }
}
</style>
